extends ../index.pug

block title
  | #{ templatedTitle('New synchronisation') }

block content
  p= total
  if sources.length > 0 && destinations.length > 0
    form.mt-8.mb-4.max-w-3xl.m-auto.px-2.flex.flex-col.items-center.gap-4(
      method="POST"
    )
      .flex.flex-wrap.items-center.gap-2
        span #{ __('Import from') }
        select(name="sourceId")
          each source in sources 
            option(value=source.id) #{ source.name || source.url }
        span #{ __('and publish on') }
        select(name="destinationId")
          each destination in destinations 
            option(value=destination.id) #{ destination.name }
        input(type="hidden", name="refreshRate", value="P1D")
        label.inline-flex.items-center
          input(type="checkbox", name="setParticipationToOrigin", value="true")
          .flex.flex-col.ml-2
            span.font-bold #{ __('Set participation URL to source URL') }
            p #{ __('Participations will not be handled by Mobilizon, which will redirect to the source page instead.') }
      button.button-primary(type="submit") #{ __('Save synchronisation') }
  if sources.length === 0
    p #{ __('You do not have any event sources yet') }
    a.button-primary(href="/sources/new") #{ __('Add new source') }
  if destinations.length === 0
    p #{ __('You do not have any event destinations yet') }
    a.button-primary(href="/destinations/new") #{ __('Add new destination') }
